<?php
require("../../class/connect.php");
include("../../class/db_sql.php");
include("../../class/config.php");
include("../../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
$editor=1;
is_login($logininid,$loginin,$loginrnd);
//验证权限
CheckLevel($logininid,$loginin,$classid,"f");
$tid=(int)$_GET['tid'];
$tbname=RepPostVar($_GET['tbname']);
$fid=(int)$_GET['fid'];
if(empty($tid)||empty($tbname)||empty($fid))
{
	printerror("ErrorUrl","history.go(-1)");
}
$r=$empire->fetch1("select fhtml,fid,f,qfhtml from {$dbtbpre}enewsf where fid='$fid' and tid='$tid'");
if(!$r[fid])
{
	printerror("ErrorUrl","history.go(-1)");
}
$url="数据表:[".$dbtbpre."ecms_".$tbname."]&nbsp;->&nbsp;<a href=ListF.php?tid=$tid&tbname=$tbname>字段管理</a>&nbsp;->&nbsp;修改系统字段：<b>".$r[f]."</b>";
db_close();
$empire=null;
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<title>修改系统字段</title>
<link href="../adminstyle/<?=$loginadminstyleid?>/adminstyle.css" rel="stylesheet" type="text/css">
</head>

<body>
<table width="98%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td>位置：<?=$url?></td>
  </tr>
</table>
<form name="form1" method="post" action="../enews.php">
  <table width="98%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
    <tr> 
      <td height="25" class="header">修改数据表（<?=$dbtbpre?>ecms_ 
        <?=$tbname?>
        ）的系统字段 
        <input name="fid" type="hidden" id="fid" value="<?=$fid?>"> <input name="enews" type="hidden" id="enews" value="EditSysF"> 
        <input name="tbname" type="hidden" id="tbname" value="<?=$tbname?>"> <input name="tid" type="hidden" id="tid" value="<?=$tid?>"> 
        <input name="f" type="hidden" id="f" value="<?=$r[f]?>"> </td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25" valign="top"><div align="center"><strong>字段名： 
          <?=$r[f]?>
          </strong></div></td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25" valign="top"><div align="center">表单元素html代码</div></td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25" valign="top"><div align="center"> 
          <textarea name="fhtml" cols="80" rows="20" id="fhtml"><?=htmlspecialchars(stripSlashes($r[fhtml]))?></textarea>
        </div></td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25" valign="top"><div align="center">投稿表单元素html代码</div></td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25" valign="top"><div align="center"> 
          <textarea name="qfhtml" cols="80" rows="20" id="textarea3"><?=htmlspecialchars(stripSlashes($r[qfhtml]))?></textarea>
        </div></td>
    </tr>
    <tr bgcolor="#FFFFFF"> 
      <td height="25"><div align="center"> 
          <input type="submit" name="Submit" value="提交">
          &nbsp;&nbsp;&nbsp; 
          <input type="reset" name="Submit2" value="重置">
        </div></td>
    </tr>
  </table>
</form>
</body>
</html>
